Bug 20448 - Pseudo-cursor: implement
Summary: Pseudo-cursor: implement
Status: RESOLVED WORKSFORME
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: All All
: P2 enhancement
Target Milestone: ---
Assignee: Edward O'Connor
QA Contact: HTML WG Bugzilla archive list
URL: http://gnote.org/eyed.html
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-19 12:56 UTC by j.chetwynd
Modified: 2013-02-12 21:38 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description j.chetwynd 2012-12-19 12:56:00 UTC
In many situations, it is helpful to be able to review behaviour,
ie screencast, or game-replay for instance

In theory it is possible to mimic interactivity of cursor, using javascript,
http://gnote.org/eyed.html is an example demonstrating an eye-tracking test.
However inevitably this will fail as it is a workaround.

This enhancement request is to implement a pseudo-cursor attribute or possibly element, such that once animated it would fire events identically to the cursor.

Ally note: this ensures the user remains in control of the true cursor, if not all events.

Security note: There is a security consideration, but as javascript already provides means to hide real cursor, and present and animate pseudo cursor, this does not effect security, afaict.
Comment 1 j.chetwynd 2012-12-21 19:11:30 UTC
The URL given hosts a demo:
http://www.gnote.org/eyed.html use latest firefox in fullscreen mode
here you can see output from an eyetracker.

the eye was used to move the cursor, however, as this is a 'recording'
the real cursor remains under user control, see accessibility.

The use case is screencasts or game replays, where the visitor wants to see what was done using the cursor, and all actions are cursor initiated, until the user moves the cursor...
Comment 2 Erika Doyle Navara 2013-01-07 19:44:35 UTC
Moving this feature request to HTML.next product for further consideration.
Comment 3 Robin Berjon 2013-01-21 15:57:43 UTC
Mass move to "HTML WG"
Comment 4 Robin Berjon 2013-01-21 16:00:22 UTC
Mass move to "HTML WG"
Comment 5 Edward O'Connor 2013-02-12 21:38:16 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: No spec change.
Rationale: You may be interested in the Web Driver work[1] being pursued
by the Browser Testing and Tools Working Group[2].

1. https://dvcs.w3.org/hg/webdriver/raw-file/default/webdriver-spec.html
2. http://www.w3.org/testing/browser/